Tryton - Issues

 

Issue8330

Title Improve default period and date when copying move from a closed period
Priority feature Status chatting
Superseder Nosy List ced, pokoli, risto3
Type feature request Components account
Assigned To Keywords
Reviews

Created on 2019-05-04.19:21:03 by risto3, last changed by risto3.

Messages
msg49673 (view) Author: [hidden] (risto3) Date: 2019-05-09.22:46:26
To me, only cancel() should *try* to use the same date/period, but only
if the period is still open.  Otherwise it could suggest the first day in the first period following the original move.
For copy(), the date should be set if and only if there is an unambiguous means to determine it (context?). Otherwise it should be set to None until the user fills it in.
Any other date is more than probably wrong.
msg49640 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-06.11:57:23
The number of the move is correctly clean up on copy [1].
For the period not being changed on copy, it is not a bug but the default behavior. It may be improved a new feature but one should define when and how and take care of that copy works on multiple moves which may be in many different periods (closed or not).

[1] http://hg.tryton.org/modules/account/file/tip/move.py#l291
msg49630 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-05-06.09:19:06
Could you enumerate which fields do you expect to be blanked?
msg49616 (view) Author: [hidden] (risto3) Date: 2019-05-04.19:30:53
oups, perhaps this was potentially entirely by chance that the sequence was at the same number.

But a similar issue comes up where the period is not blanked [either], giving an error if the period of the source move is closed!

I changed the title accordingly.
msg49615 (view) Author: [hidden] (risto3) Date: 2019-05-04.19:21:02
duplicating a move seems to keep the same move number which is not modifiable.
This makes duplication of a move non-viable. The number should be reset to None
until the draft move is saved.
History
Date User Action Args
2019-05-09 22:46:26risto3setmessages: + msg49673
2019-05-06 11:57:24cedsetmessages: + msg49640
title: duplicate move seems to not blank out certain fields -> Improve default period and date when copying move from a closed period
nosy: + ced
component: + account
priority: bug -> feature
type: feature request
2019-05-06 09:19:06pokolisetnosy: + pokoli
messages: + msg49630
2019-05-04 19:30:54risto3setstatus: unread -> chatting
messages: + msg49616
title: duplicate move seems to not blank out move number -> duplicate move seems to not blank out certain fields
2019-05-04 19:21:03risto3create

Showing 10 items. Show all history (warning: this could be VERY long)